RubyGems Navigation menu

dry-schema 1.8.0

dry-schema provides a DSL for defining schemas with keys and rules that should be applied to values. It supports coercion, input sanitization, custom types and localized error messages (with or without I18n gem). It's also used as the schema engine in dry-validation.

Versions:

  1. 1.13.0 - November 24, 2022 (45 KB)
  2. 1.12.0 - November 04, 2022 (44.5 KB)
  3. 1.11.3 - October 21, 2022 (44.5 KB)
  4. 1.11.2 - October 16, 2022 (44.5 KB)
  5. 1.11.1 - October 15, 2022 (44.5 KB)
  6. 1.8.0 - September 12, 2021 (40.5 KB)
Show all versions (53 total)

Runtime Dependencies (6):

  • concurrent-ruby ~> 1.0
  • dry-configurable ~> 0.13, >= 0.13.0
  • dry-core ~> 0.5, >= 0.5
  • dry-initializer ~> 3.0
  • dry-logic ~> 1.0
  • dry-types ~> 1.5
  • Development Dependencies (3):

    Owners:

    Pushed by:

    Authors:

    • Piotr Solnica

    SHA 256 checksum:

    7552ddf0518a69de9db725891c827d88916922edddb4632e75d66186d7130471

    Total downloads 26,269,973

    For this version 3,119,005

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.6.0

    Links: